import { GetRequest } from './get.request';
import { ApiService } from '../services/api.service';
import { ApiEntity } from '../interfaces/api-entity';
import { GetParams } from '../interfaces/get-params';
import { ApiResponse } from '../interfaces/api-response';
export declare class ApiGetRequest<T extends ApiEntity> extends GetRequest<T> {
    protected service: ApiService<T>;
    protected queryParams: GetParams;
    constructor(service: ApiService<T>, queryParams: GetParams);
    id(id: number | string): this;
    with(value: string[]): this;
    execute<Y>(): Promise<ApiResponse<Y>>;
}
